com.impinj.stp

## Class StpApi.Response.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>
      - - com.impinj.stp.StpApi.Response.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.ResponseOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Response

      public static final class StpApi.Response.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>
      implements StpApi.ResponseOrBuilder

  Protobuf type `Impinj.STP.Response` From Impinj Device to Host

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Response` | `build()`
    `StpApi.Response` | `buildPartial()`
    `StpApi.Response.Builder` | `clear()`
    `StpApi.Response.Builder` | `clearAddLicenseKey()`
    `StpApi.Response.Builder` | `clearAddOrderedListEntries()`
    `StpApi.Response.Builder` | `clearAddSerializationJob()`
    `StpApi.Response.Builder` | `clearAddTidTableEntries()`
    `StpApi.Response.Builder` | `clearConnect()` ************************************************************ **************************
    `StpApi.Response.Builder` | `clearDisengage()`
    `StpApi.Response.Builder` | `clearEngage()`
    `StpApi.Response.Builder` | `clearGetAntennaConfig()`
    `StpApi.Response.Builder` | `clearGetDeviceConfig()`
    `StpApi.Response.Builder` | `clearGetDeviceState()`
    `StpApi.Response.Builder` | `clearGetOperationData()`
    `StpApi.Response.Builder` | `clearGetVersionsReader()`
    `StpApi.Response.Builder` | `clearInvalid()`
    `StpApi.Response.Builder` | `clearRemoveSerializationJob()`
    `StpApi.Response.Builder` | `clearSetAntennaConfig()`
    `StpApi.Response.Builder` | `clearSetCartonContentsJob()`
    `StpApi.Response.Builder` | `clearSetDeviceConfig()`
    `StpApi.Response.Builder` | `clearSetInventoryJob()`
    `StpApi.Response.Builder` | `clearSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.Response.Builder` | `clearStart()`
    `StpApi.Response.Builder` | `clearStop()`
    `StpApi.Response.Builder` | `clone()`
    `StpApi.AddLicenseKeyResp` | `getAddLicenseKey()`
    `StpApi.AddLicenseKeyResp.Builder` | `getAddLicenseKeyBuilder()`
    `StpApi.AddLicenseKeyRespOrBuilder` | `getAddLicenseKeyOrBuilder()`
    `StpApi.AddOrderedListEntriesResp` | `getAddOrderedListEntries()`
    `StpApi.AddOrderedListEntriesResp.Builder` | `getAddOrderedListEntriesBuilder()`
    `StpApi.AddOrderedListEntriesRespOrBuilder` | `getAddOrderedListEntriesOrBuilder()`
    `StpApi.AddSerializationJobResp` | `getAddSerializationJob()`
    `StpApi.AddSerializationJobResp.Builder` | `getAddSerializationJobBuilder()`
    `StpApi.AddSerializationJobRespOrBuilder` | `getAddSerializationJobOrBuilder()`
    `StpApi.AddTIDTableEntriesResp` | `getAddTidTableEntries()`
    `StpApi.AddTIDTableEntriesResp.Builder` | `getAddTidTableEntriesBuilder()`
    `StpApi.AddTIDTableEntriesRespOrBuilder` | `getAddTidTableEntriesOrBuilder()`
    `StpApi.ConnectResp` | `getConnect()` ************************************************************ **************************
    `StpApi.ConnectResp.Builder` | `getConnectBuilder()` ************************************************************ **************************
    `StpApi.ConnectRespOrBuilder` | `getConnectOrBuilder()` ************************************************************ **************************
    `StpApi.Response` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DisengageResp` | `getDisengage()`
    `StpApi.DisengageResp.Builder` | `getDisengageBuilder()`
    `StpApi.DisengageRespOrBuilder` | `getDisengageOrBuilder()`
    `StpApi.EngageResp` | `getEngage()`
    `StpApi.EngageResp.Builder` | `getEngageBuilder()`
    `StpApi.EngageRespOrBuilder` | `getEngageOrBuilder()`
    `StpApi.GetAntennaConfigResp` | `getGetAntennaConfig()`
    `StpApi.GetAntennaConfigResp.Builder` | `getGetAntennaConfigBuilder()`
    `StpApi.GetAntennaConfigRespOrBuilder` | `getGetAntennaConfigOrBuilder()`
    `StpApi.GetDeviceConfigResp` | `getGetDeviceConfig()`
    `StpApi.GetDeviceConfigResp.Builder` | `getGetDeviceConfigBuilder()`
    `StpApi.GetDeviceConfigRespOrBuilder` | `getGetDeviceConfigOrBuilder()`
    `StpApi.GetDeviceStateResp` | `getGetDeviceState()`
    `StpApi.GetDeviceStateResp.Builder` | `getGetDeviceStateBuilder()`
    `StpApi.GetDeviceStateRespOrBuilder` | `getGetDeviceStateOrBuilder()`
    `StpApi.GetOperationDataResp` | `getGetOperationData()`
    `StpApi.GetOperationDataResp.Builder` | `getGetOperationDataBuilder()`
    `StpApi.GetOperationDataRespOrBuilder` | `getGetOperationDataOrBuilder()`
    `StpApi.GetVersionsReaderResp` | `getGetVersionsReader()`
    `StpApi.GetVersionsReaderResp.Builder` | `getGetVersionsReaderBuilder()`
    `StpApi.GetVersionsReaderRespOrBuilder` | `getGetVersionsReaderOrBuilder()`
    `StpApi.InvalidResp` | `getInvalid()`
    `StpApi.InvalidResp.Builder` | `getInvalidBuilder()`
    `StpApi.InvalidRespOrBuilder` | `getInvalidOrBuilder()`
    `StpApi.RemoveSerializationJobResp` | `getRemoveSerializationJob()`
    `StpApi.RemoveSerializationJobResp.Builder` | `getRemoveSerializationJobBuilder()`
    `StpApi.RemoveSerializationJobRespOrBuilder` | `getRemoveSerializationJobOrBuilder()`
    `StpApi.SetAntennaConfigResp` | `getSetAntennaConfig()`
    `StpApi.SetAntennaConfigResp.Builder` | `getSetAntennaConfigBuilder()`
    `StpApi.SetAntennaConfigRespOrBuilder` | `getSetAntennaConfigOrBuilder()`
    `StpApi.SetCartonContentsJobResp` | `getSetCartonContentsJob()`
    `StpApi.SetCartonContentsJobResp.Builder` | `getSetCartonContentsJobBuilder()`
    `StpApi.SetCartonContentsJobRespOrBuilder` | `getSetCartonContentsJobOrBuilder()`
    `StpApi.SetDeviceConfigResp` | `getSetDeviceConfig()`
    `StpApi.SetDeviceConfigResp.Builder` | `getSetDeviceConfigBuilder()`
    `StpApi.SetDeviceConfigRespOrBuilder` | `getSetDeviceConfigOrBuilder()`
    `StpApi.SetInventoryJobResp` | `getSetInventoryJob()`
    `StpApi.SetInventoryJobResp.Builder` | `getSetInventoryJobBuilder()`
    `StpApi.SetInventoryJobRespOrBuilder` | `getSetInventoryJobOrBuilder()`
    `StpApi.SetOperationResultGPOResp` | `getSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.SetOperationResultGPOResp.Builder` | `getSetOperationResultGpoBuilder()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.SetOperationResultGPORespOrBuilder` | `getSetOperationResultGpoOrBuilder()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.StartResp` | `getStart()`
    `StpApi.StartResp.Builder` | `getStartBuilder()`
    `StpApi.StartRespOrBuilder` | `getStartOrBuilder()`
    `StpApi.StopResp` | `getStop()`
    `StpApi.StopResp.Builder` | `getStopBuilder()`
    `StpApi.StopRespOrBuilder` | `getStopOrBuilder()`
    `boolean` | `hasAddLicenseKey()`
    `boolean` | `hasAddOrderedListEntries()`
    `boolean` | `hasAddSerializationJob()`
    `boolean` | `hasAddTidTableEntries()`
    `boolean` | `hasConnect()` ************************************************************ **************************
    `boolean` | `hasDisengage()`
    `boolean` | `hasEngage()`
    `boolean` | `hasGetAntennaConfig()`
    `boolean` | `hasGetDeviceConfig()`
    `boolean` | `hasGetDeviceState()`
    `boolean` | `hasGetOperationData()`
    `boolean` | `hasGetVersionsReader()`
    `boolean` | `hasInvalid()`
    `boolean` | `hasRemoveSerializationJob()`
    `boolean` | `hasSetAntennaConfig()`
    `boolean` | `hasSetCartonContentsJob()`
    `boolean` | `hasSetDeviceConfig()`
    `boolean` | `hasSetInventoryJob()`
    `boolean` | `hasSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `boolean` | `hasStart()`
    `boolean` | `hasStop()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Response.Builder` | `mergeAddLicenseKey(StpApi.AddLicenseKeyResp value)`
    `StpApi.Response.Builder` | `mergeAddOrderedListEntries(StpApi.AddOrderedListEntriesResp value)`
    `StpApi.Response.Builder` | `mergeAddSerializationJob(StpApi.AddSerializationJobResp value)`
    `StpApi.Response.Builder` | `mergeAddTidTableEntries(StpApi.AddTIDTableEntriesResp value)`
    `StpApi.Response.Builder` | `mergeConnect(StpApi.ConnectResp value)` ************************************************************ **************************
    `StpApi.Response.Builder` | `mergeDisengage(StpApi.DisengageResp value)`
    `StpApi.Response.Builder` | `mergeEngage(StpApi.EngageResp value)`
    `StpApi.Response.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Response.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Response.Builder` | `mergeFrom(StpApi.Response other)`
    `StpApi.Response.Builder` | `mergeGetAntennaConfig(StpApi.GetAntennaConfigResp value)`
    `StpApi.Response.Builder` | `mergeGetDeviceConfig(StpApi.GetDeviceConfigResp value)`
    `StpApi.Response.Builder` | `mergeGetDeviceState(StpApi.GetDeviceStateResp value)`
    `StpApi.Response.Builder` | `mergeGetOperationData(StpApi.GetOperationDataResp value)`
    `StpApi.Response.Builder` | `mergeGetVersionsReader(StpApi.GetVersionsReaderResp value)`
    `StpApi.Response.Builder` | `mergeInvalid(StpApi.InvalidResp value)`
    `StpApi.Response.Builder` | `mergeRemoveSerializationJob(StpApi.RemoveSerializationJobResp value)`
    `StpApi.Response.Builder` | `mergeSetAntennaConfig(StpApi.SetAntennaConfigResp value)`
    `StpApi.Response.Builder` | `mergeSetCartonContentsJob(StpApi.SetCartonContentsJobResp value)`
    `StpApi.Response.Builder` | `mergeSetDeviceConfig(StpApi.SetDeviceConfigResp value)`
    `StpApi.Response.Builder` | `mergeSetInventoryJob(StpApi.SetInventoryJobResp value)`
    `StpApi.Response.Builder` | `mergeSetOperationResultGpo(StpApi.SetOperationResultGPOResp value)` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.Response.Builder` | `mergeStart(StpApi.StartResp value)`
    `StpApi.Response.Builder` | `mergeStop(StpApi.StopResp value)`
    `StpApi.Response.Builder` | `setAddLicenseKey(StpApi.AddLicenseKeyResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setAddLicenseKey(StpApi.AddLicenseKeyResp value)`
    `StpApi.Response.Builder` | `setAddOrderedListEntries(StpApi.AddOrderedListEntriesResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setAddOrderedListEntries(StpApi.AddOrderedListEntriesResp value)`
    `StpApi.Response.Builder` | `setAddSerializationJob(StpApi.AddSerializationJobResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setAddSerializationJob(StpApi.AddSerializationJobResp value)`
    `StpApi.Response.Builder` | `setAddTidTableEntries(StpApi.AddTIDTableEntriesResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setAddTidTableEntries(StpApi.AddTIDTableEntriesResp value)`
    `StpApi.Response.Builder` | `setConnect(StpApi.ConnectResp.Builder builderForValue)` ************************************************************ **************************
    `StpApi.Response.Builder` | `setConnect(StpApi.ConnectResp value)` ************************************************************ **************************
    `StpApi.Response.Builder` | `setDisengage(StpApi.DisengageResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setDisengage(StpApi.DisengageResp value)`
    `StpApi.Response.Builder` | `setEngage(StpApi.EngageResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setEngage(StpApi.EngageResp value)`
    `StpApi.Response.Builder` | `setGetAntennaConfig(StpApi.GetAntennaConfigResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setGetAntennaConfig(StpApi.GetAntennaConfigResp value)`
    `StpApi.Response.Builder` | `setGetDeviceConfig(StpApi.GetDeviceConfigResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setGetDeviceConfig(StpApi.GetDeviceConfigResp value)`
    `StpApi.Response.Builder` | `setGetDeviceState(StpApi.GetDeviceStateResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setGetDeviceState(StpApi.GetDeviceStateResp value)`
    `StpApi.Response.Builder` | `setGetOperationData(StpApi.GetOperationDataResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setGetOperationData(StpApi.GetOperationDataResp value)`
    `StpApi.Response.Builder` | `setGetVersionsReader(StpApi.GetVersionsReaderResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setGetVersionsReader(StpApi.GetVersionsReaderResp value)`
    `StpApi.Response.Builder` | `setInvalid(StpApi.InvalidResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setInvalid(StpApi.InvalidResp value)`
    `StpApi.Response.Builder` | `setRemoveSerializationJob(StpApi.RemoveSerializationJobResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setRemoveSerializationJob(StpApi.RemoveSerializationJobResp value)`
    `StpApi.Response.Builder` | `setSetAntennaConfig(StpApi.SetAntennaConfigResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setSetAntennaConfig(StpApi.SetAntennaConfigResp value)`
    `StpApi.Response.Builder` | `setSetCartonContentsJob(StpApi.SetCartonContentsJobResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setSetCartonContentsJob(StpApi.SetCartonContentsJobResp value)`
    `StpApi.Response.Builder` | `setSetDeviceConfig(StpApi.SetDeviceConfigResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setSetDeviceConfig(StpApi.SetDeviceConfigResp value)`
    `StpApi.Response.Builder` | `setSetInventoryJob(StpApi.SetInventoryJobResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setSetInventoryJob(StpApi.SetInventoryJobResp value)`
    `StpApi.Response.Builder` | `setSetOperationResultGpo(StpApi.SetOperationResultGPOResp.Builder builderForValue)` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.Response.Builder` | `setSetOperationResultGpo(StpApi.SetOperationResultGPOResp value)` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.Response.Builder` | `setStart(StpApi.StartResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setStart(StpApi.StartResp value)`
    `StpApi.Response.Builder` | `setStop(StpApi.StopResp.Builder builderForValue)`
    `StpApi.Response.Builder` | `setStop(StpApi.StopResp value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>`

    - #### clear

          public StpApi.Response.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>`

    - #### clone

          public StpApi.Response.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Response getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Response build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Response buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Response.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Response.Builder>`

    - #### mergeFrom

          public StpApi.Response.Builder mergeFrom(StpApi.Response other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Response.Builder>`

    - #### mergeFrom

          public StpApi.Response.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Response.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasConnect

          public boolean hasConnect()

      ************************************************************ **************************
      Specified by:
        `hasConnect` in interface `StpApi.ResponseOrBuilder`

    - #### getConnect

          public StpApi.ConnectResp getConnect()

      ************************************************************ **************************
      Specified by:
        `getConnect` in interface `StpApi.ResponseOrBuilder`

    - #### setConnect

          public StpApi.Response.Builder setConnect(StpApi.ConnectResp value)

      ************************************************************ **************************

    - #### setConnect

          public StpApi.Response.Builder setConnect(StpApi.ConnectResp.Builder builderForValue)

      ************************************************************ **************************

    - #### mergeConnect

          public StpApi.Response.Builder mergeConnect(StpApi.ConnectResp value)

      ************************************************************ **************************

    - #### clearConnect

          public StpApi.Response.Builder clearConnect()

      ************************************************************ **************************

    - #### getConnectBuilder

          public StpApi.ConnectResp.Builder getConnectBuilder()

      ************************************************************ **************************

    - #### getConnectOrBuilder

          public StpApi.ConnectRespOrBuilder getConnectOrBuilder()

      ************************************************************ **************************
      Specified by:
        `getConnectOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetVersionsReader

          public boolean hasGetVersionsReader()

      Specified by:
        `hasGetVersionsReader` in interface `StpApi.ResponseOrBuilder`

    - #### getGetVersionsReader

          public StpApi.GetVersionsReaderResp getGetVersionsReader()

      Specified by:
        `getGetVersionsReader` in interface `StpApi.ResponseOrBuilder`

    - #### setGetVersionsReader

          public StpApi.Response.Builder setGetVersionsReader(StpApi.GetVersionsReaderResp value)

    - #### setGetVersionsReader

          public StpApi.Response.Builder setGetVersionsReader(StpApi.GetVersionsReaderResp.Builder builderForValue)

    - #### mergeGetVersionsReader

          public StpApi.Response.Builder mergeGetVersionsReader(StpApi.GetVersionsReaderResp value)

    - #### clearGetVersionsReader

          public StpApi.Response.Builder clearGetVersionsReader()

    - #### getGetVersionsReaderBuilder

          public StpApi.GetVersionsReaderResp.Builder getGetVersionsReaderBuilder()

    - #### getGetVersionsReaderOrBuilder

          public StpApi.GetVersionsReaderRespOrBuilder getGetVersionsReaderOrBuilder()

      Specified by:
        `getGetVersionsReaderOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasStart

          public boolean hasStart()

      Specified by:
        `hasStart` in interface `StpApi.ResponseOrBuilder`

    - #### getStart

          public StpApi.StartResp getStart()

      Specified by:
        `getStart` in interface `StpApi.ResponseOrBuilder`

    - #### setStart

          public StpApi.Response.Builder setStart(StpApi.StartResp value)

    - #### setStart

          public StpApi.Response.Builder setStart(StpApi.StartResp.Builder builderForValue)

    - #### mergeStart

          public StpApi.Response.Builder mergeStart(StpApi.StartResp value)

    - #### clearStart

          public StpApi.Response.Builder clearStart()

    - #### getStartBuilder

          public StpApi.StartResp.Builder getStartBuilder()

    - #### getStartOrBuilder

          public StpApi.StartRespOrBuilder getStartOrBuilder()

      Specified by:
        `getStartOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasStop

          public boolean hasStop()

      Specified by:
        `hasStop` in interface `StpApi.ResponseOrBuilder`

    - #### getStop

          public StpApi.StopResp getStop()

      Specified by:
        `getStop` in interface `StpApi.ResponseOrBuilder`

    - #### setStop

          public StpApi.Response.Builder setStop(StpApi.StopResp value)

    - #### setStop

          public StpApi.Response.Builder setStop(StpApi.StopResp.Builder builderForValue)

    - #### mergeStop

          public StpApi.Response.Builder mergeStop(StpApi.StopResp value)

    - #### clearStop

          public StpApi.Response.Builder clearStop()

    - #### getStopBuilder

          public StpApi.StopResp.Builder getStopBuilder()

    - #### getStopOrBuilder

          public StpApi.StopRespOrBuilder getStopOrBuilder()

      Specified by:
        `getStopOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasInvalid

          public boolean hasInvalid()

      Specified by:
        `hasInvalid` in interface `StpApi.ResponseOrBuilder`

    - #### getInvalid

          public StpApi.InvalidResp getInvalid()

      Specified by:
        `getInvalid` in interface `StpApi.ResponseOrBuilder`

    - #### setInvalid

          public StpApi.Response.Builder setInvalid(StpApi.InvalidResp value)

    - #### setInvalid

          public StpApi.Response.Builder setInvalid(StpApi.InvalidResp.Builder builderForValue)

    - #### mergeInvalid

          public StpApi.Response.Builder mergeInvalid(StpApi.InvalidResp value)

    - #### clearInvalid

          public StpApi.Response.Builder clearInvalid()

    - #### getInvalidBuilder

          public StpApi.InvalidResp.Builder getInvalidBuilder()

    - #### getInvalidOrBuilder

          public StpApi.InvalidRespOrBuilder getInvalidOrBuilder()

      Specified by:
        `getInvalidOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetDeviceState

          public boolean hasGetDeviceState()

      Specified by:
        `hasGetDeviceState` in interface `StpApi.ResponseOrBuilder`

    - #### getGetDeviceState

          public StpApi.GetDeviceStateResp getGetDeviceState()

      Specified by:
        `getGetDeviceState` in interface `StpApi.ResponseOrBuilder`

    - #### setGetDeviceState

          public StpApi.Response.Builder setGetDeviceState(StpApi.GetDeviceStateResp value)

    - #### setGetDeviceState

          public StpApi.Response.Builder setGetDeviceState(StpApi.GetDeviceStateResp.Builder builderForValue)

    - #### mergeGetDeviceState

          public StpApi.Response.Builder mergeGetDeviceState(StpApi.GetDeviceStateResp value)

    - #### clearGetDeviceState

          public StpApi.Response.Builder clearGetDeviceState()

    - #### getGetDeviceStateBuilder

          public StpApi.GetDeviceStateResp.Builder getGetDeviceStateBuilder()

    - #### getGetDeviceStateOrBuilder

          public StpApi.GetDeviceStateRespOrBuilder getGetDeviceStateOrBuilder()

      Specified by:
        `getGetDeviceStateOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetDeviceConfig

          public boolean hasSetDeviceConfig()

      Specified by:
        `hasSetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getSetDeviceConfig

          public StpApi.SetDeviceConfigResp getSetDeviceConfig()

      Specified by:
        `getSetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### setSetDeviceConfig

          public StpApi.Response.Builder setSetDeviceConfig(StpApi.SetDeviceConfigResp value)

    - #### setSetDeviceConfig

          public StpApi.Response.Builder setSetDeviceConfig(StpApi.SetDeviceConfigResp.Builder builderForValue)

    - #### mergeSetDeviceConfig

          public StpApi.Response.Builder mergeSetDeviceConfig(StpApi.SetDeviceConfigResp value)

    - #### clearSetDeviceConfig

          public StpApi.Response.Builder clearSetDeviceConfig()

    - #### getSetDeviceConfigBuilder

          public StpApi.SetDeviceConfigResp.Builder getSetDeviceConfigBuilder()

    - #### getSetDeviceConfigOrBuilder

          public StpApi.SetDeviceConfigRespOrBuilder getSetDeviceConfigOrBuilder()

      Specified by:
        `getSetDeviceConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetDeviceConfig

          public boolean hasGetDeviceConfig()

      Specified by:
        `hasGetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getGetDeviceConfig

          public StpApi.GetDeviceConfigResp getGetDeviceConfig()

      Specified by:
        `getGetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### setGetDeviceConfig

          public StpApi.Response.Builder setGetDeviceConfig(StpApi.GetDeviceConfigResp value)

    - #### setGetDeviceConfig

          public StpApi.Response.Builder setGetDeviceConfig(StpApi.GetDeviceConfigResp.Builder builderForValue)

    - #### mergeGetDeviceConfig

          public StpApi.Response.Builder mergeGetDeviceConfig(StpApi.GetDeviceConfigResp value)

    - #### clearGetDeviceConfig

          public StpApi.Response.Builder clearGetDeviceConfig()

    - #### getGetDeviceConfigBuilder

          public StpApi.GetDeviceConfigResp.Builder getGetDeviceConfigBuilder()

    - #### getGetDeviceConfigOrBuilder

          public StpApi.GetDeviceConfigRespOrBuilder getGetDeviceConfigOrBuilder()

      Specified by:
        `getGetDeviceConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetAntennaConfig

          public boolean hasSetAntennaConfig()

      Specified by:
        `hasSetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getSetAntennaConfig

          public StpApi.SetAntennaConfigResp getSetAntennaConfig()

      Specified by:
        `getSetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### setSetAntennaConfig

          public StpApi.Response.Builder setSetAntennaConfig(StpApi.SetAntennaConfigResp value)

    - #### setSetAntennaConfig

          public StpApi.Response.Builder setSetAntennaConfig(StpApi.SetAntennaConfigResp.Builder builderForValue)

    - #### mergeSetAntennaConfig

          public StpApi.Response.Builder mergeSetAntennaConfig(StpApi.SetAntennaConfigResp value)

    - #### clearSetAntennaConfig

          public StpApi.Response.Builder clearSetAntennaConfig()

    - #### getSetAntennaConfigBuilder

          public StpApi.SetAntennaConfigResp.Builder getSetAntennaConfigBuilder()

    - #### getSetAntennaConfigOrBuilder

          public StpApi.SetAntennaConfigRespOrBuilder getSetAntennaConfigOrBuilder()

      Specified by:
        `getSetAntennaConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetAntennaConfig

          public boolean hasGetAntennaConfig()

      Specified by:
        `hasGetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getGetAntennaConfig

          public StpApi.GetAntennaConfigResp getGetAntennaConfig()

      Specified by:
        `getGetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### setGetAntennaConfig

          public StpApi.Response.Builder setGetAntennaConfig(StpApi.GetAntennaConfigResp value)

    - #### setGetAntennaConfig

          public StpApi.Response.Builder setGetAntennaConfig(StpApi.GetAntennaConfigResp.Builder builderForValue)

    - #### mergeGetAntennaConfig

          public StpApi.Response.Builder mergeGetAntennaConfig(StpApi.GetAntennaConfigResp value)

    - #### clearGetAntennaConfig

          public StpApi.Response.Builder clearGetAntennaConfig()

    - #### getGetAntennaConfigBuilder

          public StpApi.GetAntennaConfigResp.Builder getGetAntennaConfigBuilder()

    - #### getGetAntennaConfigOrBuilder

          public StpApi.GetAntennaConfigRespOrBuilder getGetAntennaConfigOrBuilder()

      Specified by:
        `getGetAntennaConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasEngage

          public boolean hasEngage()

      Specified by:
        `hasEngage` in interface `StpApi.ResponseOrBuilder`

    - #### getEngage

          public StpApi.EngageResp getEngage()

      Specified by:
        `getEngage` in interface `StpApi.ResponseOrBuilder`

    - #### setEngage

          public StpApi.Response.Builder setEngage(StpApi.EngageResp value)

    - #### setEngage

          public StpApi.Response.Builder setEngage(StpApi.EngageResp.Builder builderForValue)

    - #### mergeEngage

          public StpApi.Response.Builder mergeEngage(StpApi.EngageResp value)

    - #### clearEngage

          public StpApi.Response.Builder clearEngage()

    - #### getEngageBuilder

          public StpApi.EngageResp.Builder getEngageBuilder()

    - #### getEngageOrBuilder

          public StpApi.EngageRespOrBuilder getEngageOrBuilder()

      Specified by:
        `getEngageOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasDisengage

          public boolean hasDisengage()

      Specified by:
        `hasDisengage` in interface `StpApi.ResponseOrBuilder`

    - #### getDisengage

          public StpApi.DisengageResp getDisengage()

      Specified by:
        `getDisengage` in interface `StpApi.ResponseOrBuilder`

    - #### setDisengage

          public StpApi.Response.Builder setDisengage(StpApi.DisengageResp value)

    - #### setDisengage

          public StpApi.Response.Builder setDisengage(StpApi.DisengageResp.Builder builderForValue)

    - #### mergeDisengage

          public StpApi.Response.Builder mergeDisengage(StpApi.DisengageResp value)

    - #### clearDisengage

          public StpApi.Response.Builder clearDisengage()

    - #### getDisengageBuilder

          public StpApi.DisengageResp.Builder getDisengageBuilder()

    - #### getDisengageOrBuilder

          public StpApi.DisengageRespOrBuilder getDisengageOrBuilder()

      Specified by:
        `getDisengageOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetOperationResultGpo

          public boolean hasSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
      Specified by:
        `hasSetOperationResultGpo` in interface `StpApi.ResponseOrBuilder`

    - #### getSetOperationResultGpo

          public StpApi.SetOperationResultGPOResp getSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
      Specified by:
        `getSetOperationResultGpo` in interface `StpApi.ResponseOrBuilder`

    - #### setSetOperationResultGpo

          public StpApi.Response.Builder setSetOperationResultGpo(StpApi.SetOperationResultGPOResp value)

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### setSetOperationResultGpo

          public StpApi.Response.Builder setSetOperationResultGpo(StpApi.SetOperationResultGPOResp.Builder builderForValue)

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### mergeSetOperationResultGpo

          public StpApi.Response.Builder mergeSetOperationResultGpo(StpApi.SetOperationResultGPOResp value)

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### clearSetOperationResultGpo

          public StpApi.Response.Builder clearSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### getSetOperationResultGpoBuilder

          public StpApi.SetOperationResultGPOResp.Builder getSetOperationResultGpoBuilder()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### getSetOperationResultGpoOrBuilder

          public StpApi.SetOperationResultGPORespOrBuilder getSetOperationResultGpoOrBuilder()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
      Specified by:
        `getSetOperationResultGpoOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddSerializationJob

          public boolean hasAddSerializationJob()

      Specified by:
        `hasAddSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### getAddSerializationJob

          public StpApi.AddSerializationJobResp getAddSerializationJob()

      Specified by:
        `getAddSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### setAddSerializationJob

          public StpApi.Response.Builder setAddSerializationJob(StpApi.AddSerializationJobResp value)

    - #### setAddSerializationJob

          public StpApi.Response.Builder setAddSerializationJob(StpApi.AddSerializationJobResp.Builder builderForValue)

    - #### mergeAddSerializationJob

          public StpApi.Response.Builder mergeAddSerializationJob(StpApi.AddSerializationJobResp value)

    - #### clearAddSerializationJob

          public StpApi.Response.Builder clearAddSerializationJob()

    - #### getAddSerializationJobBuilder

          public StpApi.AddSerializationJobResp.Builder getAddSerializationJobBuilder()

    - #### getAddSerializationJobOrBuilder

          public StpApi.AddSerializationJobRespOrBuilder getAddSerializationJobOrBuilder()

      Specified by:
        `getAddSerializationJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasRemoveSerializationJob

          public boolean hasRemoveSerializationJob()

      Specified by:
        `hasRemoveSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### getRemoveSerializationJob

          public StpApi.RemoveSerializationJobResp getRemoveSerializationJob()

      Specified by:
        `getRemoveSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### setRemoveSerializationJob

          public StpApi.Response.Builder setRemoveSerializationJob(StpApi.RemoveSerializationJobResp value)

    - #### setRemoveSerializationJob

          public StpApi.Response.Builder setRemoveSerializationJob(StpApi.RemoveSerializationJobResp.Builder builderForValue)

    - #### mergeRemoveSerializationJob

          public StpApi.Response.Builder mergeRemoveSerializationJob(StpApi.RemoveSerializationJobResp value)

    - #### clearRemoveSerializationJob

          public StpApi.Response.Builder clearRemoveSerializationJob()

    - #### getRemoveSerializationJobBuilder

          public StpApi.RemoveSerializationJobResp.Builder getRemoveSerializationJobBuilder()

    - #### getRemoveSerializationJobOrBuilder

          public StpApi.RemoveSerializationJobRespOrBuilder getRemoveSerializationJobOrBuilder()

      Specified by:
        `getRemoveSerializationJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddTidTableEntries

          public boolean hasAddTidTableEntries()

      Specified by:
        `hasAddTidTableEntries` in interface `StpApi.ResponseOrBuilder`

    - #### getAddTidTableEntries

          public StpApi.AddTIDTableEntriesResp getAddTidTableEntries()

      Specified by:
        `getAddTidTableEntries` in interface `StpApi.ResponseOrBuilder`

    - #### setAddTidTableEntries

          public StpApi.Response.Builder setAddTidTableEntries(StpApi.AddTIDTableEntriesResp value)

    - #### setAddTidTableEntries

          public StpApi.Response.Builder setAddTidTableEntries(StpApi.AddTIDTableEntriesResp.Builder builderForValue)

    - #### mergeAddTidTableEntries

          public StpApi.Response.Builder mergeAddTidTableEntries(StpApi.AddTIDTableEntriesResp value)

    - #### clearAddTidTableEntries

          public StpApi.Response.Builder clearAddTidTableEntries()

    - #### getAddTidTableEntriesBuilder

          public StpApi.AddTIDTableEntriesResp.Builder getAddTidTableEntriesBuilder()

    - #### getAddTidTableEntriesOrBuilder

          public StpApi.AddTIDTableEntriesRespOrBuilder getAddTidTableEntriesOrBuilder()

      Specified by:
        `getAddTidTableEntriesOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddOrderedListEntries

          public boolean hasAddOrderedListEntries()

      Specified by:
        `hasAddOrderedListEntries` in interface `StpApi.ResponseOrBuilder`

    - #### getAddOrderedListEntries

          public StpApi.AddOrderedListEntriesResp getAddOrderedListEntries()

      Specified by:
        `getAddOrderedListEntries` in interface `StpApi.ResponseOrBuilder`

    - #### setAddOrderedListEntries

          public StpApi.Response.Builder setAddOrderedListEntries(StpApi.AddOrderedListEntriesResp value)

    - #### setAddOrderedListEntries

          public StpApi.Response.Builder setAddOrderedListEntries(StpApi.AddOrderedListEntriesResp.Builder builderForValue)

    - #### mergeAddOrderedListEntries

          public StpApi.Response.Builder mergeAddOrderedListEntries(StpApi.AddOrderedListEntriesResp value)

    - #### clearAddOrderedListEntries

          public StpApi.Response.Builder clearAddOrderedListEntries()

    - #### getAddOrderedListEntriesBuilder

          public StpApi.AddOrderedListEntriesResp.Builder getAddOrderedListEntriesBuilder()

    - #### getAddOrderedListEntriesOrBuilder

          public StpApi.AddOrderedListEntriesRespOrBuilder getAddOrderedListEntriesOrBuilder()

      Specified by:
        `getAddOrderedListEntriesOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetInventoryJob

          public boolean hasSetInventoryJob()

      Specified by:
        `hasSetInventoryJob` in interface `StpApi.ResponseOrBuilder`

    - #### getSetInventoryJob

          public StpApi.SetInventoryJobResp getSetInventoryJob()

      Specified by:
        `getSetInventoryJob` in interface `StpApi.ResponseOrBuilder`

    - #### setSetInventoryJob

          public StpApi.Response.Builder setSetInventoryJob(StpApi.SetInventoryJobResp value)

    - #### setSetInventoryJob

          public StpApi.Response.Builder setSetInventoryJob(StpApi.SetInventoryJobResp.Builder builderForValue)

    - #### mergeSetInventoryJob

          public StpApi.Response.Builder mergeSetInventoryJob(StpApi.SetInventoryJobResp value)

    - #### clearSetInventoryJob

          public StpApi.Response.Builder clearSetInventoryJob()

    - #### getSetInventoryJobBuilder

          public StpApi.SetInventoryJobResp.Builder getSetInventoryJobBuilder()

    - #### getSetInventoryJobOrBuilder

          public StpApi.SetInventoryJobRespOrBuilder getSetInventoryJobOrBuilder()

      Specified by:
        `getSetInventoryJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetCartonContentsJob

          public boolean hasSetCartonContentsJob()

      Specified by:
        `hasSetCartonContentsJob` in interface `StpApi.ResponseOrBuilder`

    - #### getSetCartonContentsJob

          public StpApi.SetCartonContentsJobResp getSetCartonContentsJob()

      Specified by:
        `getSetCartonContentsJob` in interface `StpApi.ResponseOrBuilder`

    - #### setSetCartonContentsJob

          public StpApi.Response.Builder setSetCartonContentsJob(StpApi.SetCartonContentsJobResp value)

    - #### setSetCartonContentsJob

          public StpApi.Response.Builder setSetCartonContentsJob(StpApi.SetCartonContentsJobResp.Builder builderForValue)

    - #### mergeSetCartonContentsJob

          public StpApi.Response.Builder mergeSetCartonContentsJob(StpApi.SetCartonContentsJobResp value)

    - #### clearSetCartonContentsJob

          public StpApi.Response.Builder clearSetCartonContentsJob()

    - #### getSetCartonContentsJobBuilder

          public StpApi.SetCartonContentsJobResp.Builder getSetCartonContentsJobBuilder()

    - #### getSetCartonContentsJobOrBuilder

          public StpApi.SetCartonContentsJobRespOrBuilder getSetCartonContentsJobOrBuilder()

      Specified by:
        `getSetCartonContentsJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetOperationData

          public boolean hasGetOperationData()

      Specified by:
        `hasGetOperationData` in interface `StpApi.ResponseOrBuilder`

    - #### getGetOperationData

          public StpApi.GetOperationDataResp getGetOperationData()

      Specified by:
        `getGetOperationData` in interface `StpApi.ResponseOrBuilder`

    - #### setGetOperationData

          public StpApi.Response.Builder setGetOperationData(StpApi.GetOperationDataResp value)

    - #### setGetOperationData

          public StpApi.Response.Builder setGetOperationData(StpApi.GetOperationDataResp.Builder builderForValue)

    - #### mergeGetOperationData

          public StpApi.Response.Builder mergeGetOperationData(StpApi.GetOperationDataResp value)

    - #### clearGetOperationData

          public StpApi.Response.Builder clearGetOperationData()

    - #### getGetOperationDataBuilder

          public StpApi.GetOperationDataResp.Builder getGetOperationDataBuilder()

    - #### getGetOperationDataOrBuilder

          public StpApi.GetOperationDataRespOrBuilder getGetOperationDataOrBuilder()

      Specified by:
        `getGetOperationDataOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddLicenseKey

          public boolean hasAddLicenseKey()

      Specified by:
        `hasAddLicenseKey` in interface `StpApi.ResponseOrBuilder`

    - #### getAddLicenseKey

          public StpApi.AddLicenseKeyResp getAddLicenseKey()

      Specified by:
        `getAddLicenseKey` in interface `StpApi.ResponseOrBuilder`

    - #### setAddLicenseKey

          public StpApi.Response.Builder setAddLicenseKey(StpApi.AddLicenseKeyResp value)

    - #### setAddLicenseKey

          public StpApi.Response.Builder setAddLicenseKey(StpApi.AddLicenseKeyResp.Builder builderForValue)

    - #### mergeAddLicenseKey

          public StpApi.Response.Builder mergeAddLicenseKey(StpApi.AddLicenseKeyResp value)

    - #### clearAddLicenseKey

          public StpApi.Response.Builder clearAddLicenseKey()

    - #### getAddLicenseKeyBuilder

          public StpApi.AddLicenseKeyResp.Builder getAddLicenseKeyBuilder()

    - #### getAddLicenseKeyOrBuilder

          public StpApi.AddLicenseKeyRespOrBuilder getAddLicenseKeyOrBuilder()

      Specified by:
        `getAddLicenseKeyOrBuilder` in interface `StpApi.ResponseOrBuilder`